## Tcl8.6.0/Tk8.6.0 Documentation > Tcl C API, version 8.6.0 > GetHostName

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tcl_GetHostName — get the name of the local host

### SYNOPSIS

#include <tcl8.6/tcl.h>
const char *
Tcl_GetHostName()

### DESCRIPTION

Tcl_GetHostName is a utility procedure used by some of the Tcl commands. It returns a pointer to a string containing the name for the current machine, or an empty string if the name cannot be determined. The string is statically allocated, and the caller must not modify of free it.

### KEYWORDS

hostname
Copyright © 1998-2000 by Scriptics Corporation.